Package: groovy.lang

## [Java] Class GroovyClassLoader.InnerLoader

- groovy.lang.GroovyClassLoader.InnerLoader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InnerLoader (GroovyClassLoader delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addClasspath(String path)`
    `` | `void` | `addURL(URL url)`
    `` | `void` | `clearAssertionStatus()`
    `` | `void` | `clearCache()`
    `` | `void` | `close()`
    `` | `Class` | `defineClass(ClassNode classNode, String file, String newCodeBase)`
    `` | `Class` | `defineClass(String name, byte[] b)`
    `` | `URL` | `findResource(String name)`
    `` | `Enumeration<URL>` | `findResources(String name)`
    `` | `String` | `generateScriptName()`
    `` | `Class[]` | `getLoadedClasses()`
    `` | `URL` | `getResource(String name)`
    `` | `InputStream` | `getResourceAsStream(String name)`
    `` | `GroovyResourceLoader` | `getResourceLoader()`
    `` | `Enumeration<URL>` | `getResources(String name)`
    `` | `long` | `getTimeStamp()`
    `` | `URL[]` | `getURLs()`
    `` | `Boolean` | `isShouldRecompile()`
    `` | `Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
    `` | `Class` | `loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript)`
    `` | `Class<?>` | `loadClass(String name)`
    `` | `Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
    `` | `Class` | `parseClass(File file)`
    `` | `Class` | `parseClass(String text, String fileName)`
    `` | `Class` | `parseClass(String text)`
    `` | `Class` | `parseClass(Reader reader, String fileName)`
    `` | `Class` | `parseClass(InputStream in, String fileName)`
    `` | `Class` | `parseClass(GroovyCodeSource codeSource)`
    `` | `void` | `setClassAssertionStatus(String className, boolean enabled)`
    `` | `void` | `setDefaultAssertionStatus(boolean enabled)`
    `` | `void` | `setPackageAssertionStatus(String packageName, boolean enabled)`
    `` | `void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`
    `` | `void` | `setShouldRecompile(Boolean mode)`

- - ### Constructor Detail

    - #### public InnerLoader(GroovyClassLoader delegate)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void addClasspath(String path)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void addURL(URL url)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void clearAssertionStatus()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void clearCache()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void close()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class defineClass(ClassNode classNode, String file, String newCodeBase)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class defineClass(String name, byte[] b)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public URL findResource(String name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Enumeration<URL> findResources(String name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String generateScriptName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class[] getLoadedClasses()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public URL getResource(String name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public InputStream getResourceAsStream(String name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public GroovyResourceLoader getResourceLoader()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Enumeration<URL> getResources(String name)

    - #### public long getTimeStamp()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public URL[] getURLs()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Boolean isShouldRecompile()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class loadClass(String name, boolean lookupScriptFiles, boolean preferClassOverScript)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class<?> loadClass(String name)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(File file)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(String text, String fileName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(String text)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(Reader reader, String fileName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public Class parseClass(InputStream in, String fileName)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Class parseClass(GroovyCodeSource codeSource)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setClassAssertionStatus(String className, boolean enabled)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setDefaultAssertionStatus(boolean enabled)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setPackageAssertionStatus(String packageName, boolean enabled)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setResourceLoader(GroovyResourceLoader resourceLoader)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setShouldRecompile(Boolean mode)